Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required

Body

application/json
region_specs
object[]
required

Response

A successful response.

CMEKClusterInfo contains the status of CMEK across an entire cluster, including within each one its regions.

status
enum<string>
default:UNKNOWN_STATUS

CMEKStatus describes the current status of CMEK for an entire CRDB cluster or a key within a region.

  • UNKNOWN_STATUS: UNKNOWN should never be used; if it is used, it indicates a bug.
  • DISABLED: DISABLED corresponds to the state of a cluster or region-level key when CMEK has finished being disabled. By default, CMEK will be disabled for new clusters.
  • DISABLING: DISABLED corresponds to the state of a cluster or region-level key when CMEK is in the process of being disabled.
  • DISABLE_FAILED: DISABLE_FAILED corresponds to the state of a cluster or region-level key when CMEK has failed to be disabled.
  • ENABLED: ENABLED corresponds to the state of a cluster or region-level key when CMEK is enabled.
  • ENABLING: ENABLING corresponds to the state of a cluster or region-level key when CMEK is in the process of being enabled.
  • ENABLE_FAILED: ENABLE_FAILED corresponds to the state of a cluster or region-level key when CMEK has failed to be enabled.
  • REVOKED: REVOKED corresponds to the state of a cluster or region-level key when the customer has revoked CockroachLab's permissions for their key.
  • REVOKING: REVOKING corresponds to the state of a cluster or region-level key when CMEK is in the process of being revoked.
  • REVOKE_FAILED: REVOKE_FAILED corresponds to the state of a cluster or region-level key when CMEK has failed to be revoked.
Available options:
UNKNOWN_STATUS,
DISABLED,
DISABLING,
DISABLE_FAILED,
ENABLED,
ENABLING,
ENABLE_FAILED,
REVOKED,
REVOKING,
REVOKE_FAILED
region_infos
object[]